## org.codehaus.groovy.grails.web.pages
Class GroovyPageScanner

    java.lang.Object
      org.codehaus.groovy.grails.web.pages.GroovyPageScanner

All Implemented Interfaces:
  Tokens

     class GroovyPageScanner

extends Object
implements Tokens

NOTE: Based on work done by on the GSP standalone project (https://gsp.dev.java.net/) Lexer for GroovyPagesServlet.

Author:
  Troy Heninger, Graeme Rocher Date: Jan 10, 2004

Field Summary

Fields inherited from interface org.codehaus.groovy.grails.web.pages.Tokens
`EOF, GDECLAR, GDIRECT, GEND_EMPTY_TAG, GEND_TAG, GEXPR, GSCRIPT, GSTART_TAG, GTAG_EXPR, HTML, JDECLAR, JDIRECT, JEXPR, JSCRIPT`

Constructor Summary
`GroovyPageScanner(String text)`

Method Summary
`(package private) int` `getLineNumberForToken()`
`(package private) String` `getNamespace()`
`(package private) String` `getToken()`
`(package private) int` `nextToken()`
`(package private) void` `reset()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroovyPageScanner

    GroovyPageScanner(String text)

Method Detail

### getToken

    String getToken()

### getLineNumberForToken

    int getLineNumberForToken()

### getNamespace

    String getNamespace()

### nextToken

    int nextToken()

### reset

    void reset()

Copyright (c) 2005-2009 The Grails project